import { getRequest, postRequest } from "@/utils/request";

// 查看执勤区信息
export async function dutyAreaInfoId(params: any) {
  return getRequest(`/xgd/dutyAreaInfo/getById/${params.id}`, {});
}

// 列表查询执勤区信息
export async function dutyAreaInfoList(params: any) {
  return getRequest(`/xgd/dutyAreaInfo/list`, params);
}

// 新增或修改执勤区信息
export async function dutyAreaInfoEditOrAdd(data: any) {
  return postRequest(`/xgd/dutyAreaInfo/editOrAdd`, data);
}

// 删除执勤区信息
export async function dutyAreaInfoDelete(data: any) {
  return postRequest(`/xgd/dutyAreaInfo/delete/${data.id}`, {});
}